OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpGauge32

    java.lang.Object
      org.opennms.protocols.snmp.SnmpUInt32
          org.opennms.protocols.snmp.SnmpGauge32

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, SnmpSyntax

public class SnmpGauge32
extends SnmpUInt32

Defines a SNMPv1 32-bit gauge object. The object is a 32-bit unsigned value that may increase or decrease but does not wrap as a SnmpCounter32. The object inherients and uses most of the methods defined by the SnmpUInt32 class. This class does not define any specific data, but is instead used to override the ASN.1 type of the base class.

Author:
  Brian Weaver
See Also:
  Serialized Form

Field Summary
`static byte` `ASNTYPE` Defines the ASN.1 type for this object.
`(package private) static long` `serialVersionUID` for serialzation support

Fields inherited from class org.opennms.protocols.snmp.SnmpUInt32
``

Constructor Summary
`SnmpGauge32()` Constructs the default counter object.
`SnmpGauge32(long value)` Constructs the object with the specified value.
`SnmpGauge32(java.lang.Long value)` Constructs the object with the specified value.
`SnmpGauge32(SnmpGauge32 second)` Constructs a new object with the same value as the passed object.
`SnmpGauge32(SnmpUInt32 uint32)` Constructs a new object with the value constained in the SnmpUInt32 object.
`SnmpGauge32(java.lang.String value)` Simple class constructor that is used to create an initialize the new instance with the unsigned value decoded from the passed String argument.

Method Summary
`java.lang.Object` `clone()` Creates a new object that is a duplicate of the current object.
`SnmpSyntax` `duplicate()` Creates a new object that is a duplicate of the current object.
`byte` `typeId()` Returns the ASN.1 type specific to this object.

Methods inherited from class org.opennms.protocols.snmp.SnmpUInt32
`decodeASN, encodeASN, getValue, setValue, setValue, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  for serialzation support

  See Also:
    Constant Field Values

### ASNTYPE

    public static final byte ASNTYPE

  Defines the ASN.1 type for this object.

  See Also:
    Constant Field Values

Constructor Detail

### SnmpGauge32

    public SnmpGauge32()

  Constructs the default counter object. The initial value is defined by the super class default constructor

### SnmpGauge32

    public SnmpGauge32(long value)

  Constructs the object with the specified value.

Parameters:
  `value` - The default value for the object.

### SnmpGauge32

    public SnmpGauge32(java.lang.Long value)

  Constructs the object with the specified value.

Parameters:
  `value` - The default value for the object.

### SnmpGauge32

    public SnmpGauge32(SnmpGauge32 second)

  Constructs a new object with the same value as the passed object.

Parameters:
  `second` - The object to recover values from.

### SnmpGauge32

    public SnmpGauge32(SnmpUInt32 uint32)

  Constructs a new object with the value constained in the SnmpUInt32 object.

Parameters:
  `uint32` - The SnmpUInt32 object to copy.

### SnmpGauge32

    public SnmpGauge32(java.lang.String value)

  Simple class constructor that is used to create an initialize the new instance with the unsigned value decoded from the passed String argument. If the decoded argument is malformed, null, or evaluates to a negative value then an exception is generated.

Parameters:
  `value` - The string encoded value.
Throws:
  `java.lang.NumberFormatException` - Thrown if the passed value is malformed and cannot be parsed.
  `java.lang.IllegalArgumentException` - Throws if the passed value evaluates to a negative value.
  `java.lang.NullPointerException` - Throws if the passed value is a null reference.

Method Detail

### typeId

    public byte typeId()

  Returns the ASN.1 type specific to this object.

  Specified by:
    `typeId` in interface `SnmpSyntax`
  Overrides:
    `typeId` in class `SnmpUInt32`
  Returns:
    The ASN.1 value for this object.

### duplicate

    public SnmpSyntax duplicate()

  Creates a new object that is a duplicate of the current object.

  Specified by:
    `duplicate` in interface `SnmpSyntax`
  Overrides:
    `duplicate` in class `SnmpUInt32`
  Returns:
    The newly created duplicate object.

### clone

    public java.lang.Object clone()

  Creates a new object that is a duplicate of the current object.

  Overrides:
    `clone` in class `SnmpUInt32`
  Returns:
    The newly created duplicate object.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.